Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/23/2023 in all areas

  1. Have you also allowed for Purging CIV3D styles it is separate to the normal purge command and should be ran before running normal PURGE. I am trying to remember I think its purgestylesandsettings. Like purge run at least twice, same with purge.
    2 points
  2. I was under the impression that Plant 3D had a feature called Route Piping. Is that not the same thing?
    1 point
  3. simple purge command I use. ;;----------------------------------------------------------------------------;; ;; Purge 3 Times (defun C:P3 () (repeat 3 (vl-cmdf "_.Purge" "A" "*" "N")) )
    1 point
  4. Thank you very much Fuccaro. Thanks to you, my work is easier
    1 point
  5. (defun c:FOO ( / oldlst newlst resultlst oldlayer getlst newlayer gatom j glen) (setq oldlst (list "Door" "Win-1" "Win-2" "Text" "ttt")) (setq newlst (list "G-DOOR" "G-WINDOW" "G-TEXT" "WD-TEXT")) (setq resultlst '()) (foreach oldlayer oldlst (setq getlst '()) (foreach newlayer newlst (if (wcmatch (strcase newlayer) (strcat "*" (strcase (substr oldlayer 1 3)) "*")) (progn (setq getlst (cons newlayer getlst)) ) (progn) ) ) (setq getlst (reverse getlst)) (cond ((= getlst nil) (setq getlst (list "no result"))) ((> (setq glen (length getlst)) 1) (princ "\n You have ") (princ glen) (princ (strcat " options for this keyword : " oldlayer )) (setq i 0) (repeat glen (setq gatom (nth i getlst)) (princ "\n ") (princ (+ i 1)) (princ " > ") (princ gatom) (setq i (+ i 1)) ) (initget 7) (setq j (getint "\n Enter the number you want : ")) (if (> j glen) (progn (princ "\n That number is greater than the lists. It is automatically adjusted to the maximum number.") (setq j glen) ) ) (setq getlst (list (nth (- j 1) getlst))) ) ) (setq resultlst (cons (list oldlayer (car getlst)) resultlst)) ) (setq resultlst (reverse resultlst)) (princ "\n") (princ resultlst) (princ) ) Command : FOO You have 2 options for this keyword : Text 1 > G-TEXT 2 > WD-TEXT Enter the number you want : 1 result pair list - ((Door G-DOOR) (Win-1 G-WINDOW) (Win-2 G-WINDOW) (Text G-TEXT) (ttt no result)) Command : foo You have 2 options for this keyword : Text 1 > G-TEXT 2 > WD-TEXT Enter the number you want : 2 result pair list - ((Door G-DOOR) (Win-1 G-WINDOW) (Win-2 G-WINDOW) (Text WD-TEXT) (ttt no result)) Command : foo You have 2 options for this keyword : Text 1 > G-TEXT 2 > WD-TEXT Enter the number you want : 3 That number is greater than the lists. It is automatically adjusted to the maximum number. result pair list - ((Door G-DOOR) (Win-1 G-WINDOW) (Win-2 G-WINDOW) (Text WD-TEXT) (ttt no result))
    1 point
  6. (defun c:angles( / p1 p2 p3 ang1 ang2 sel a1 a2 textH) (setq p1 (cdr (assoc 10 (setq el (entget (car (setq sel (entsel "Select line \n "))))))) p2 (cdr (assoc 11 el)) p3 (list (car p1) (cadr p1) (caddr p2)) ang1 (atan (distance p1 p3) (distance p2 p3)) ang2 (angle p3 p2) ) (strcat (setq a1 (convert ang1)) " | " (setq a2 (convert ang2))) (setq textH 2) (entmake (mapcar 'cons '( 0 1 10 40 62) (list "text" a1 (cadr sel) textH 1))) (entmake (mapcar 'cons '( 0 1 10 40 62) (list "text" a2 (mapcar '+ (cadr sel) (list textH textH 0)) textH 4))) (export a1 a2) ) (defun convert(a / d m) (setq a (/ (* a 180.0) PI) d (fix a) m (fix (+ 0.5 (* 60.0 (- a d))))) (strcat (itoa d) "deg " (itoa m) "min") ) (defun export(a b / f file) (setq file (getfiled "Specify out file" (substr (setq name (getvar "dwgname")) 1 (- (strlen name) 4)) "csv" 1)) (setq f (open file "w")) (write-line a f) (write-line b f) (close f) )
    1 point
×
×
  • Create New...